/* Start Form */
/* Default Form  */
.form-input-main {
  margin: 16px 0;
}

.form-input-main input,
.form-input-main select {
  padding-left: 1rem;
  height: 44px;
  width: 100%;
  font-weight: 400;
  font-size: 18px;
  color: var(--Gray-100, #131415);
  border-radius: 8px;
  border: 1px solid #0959f4;
  background: var(--Gray-0, #fff);
  transition: all 0.4s ease;
}

.form-input-main input:focus-visible,
.form-input-main select:focus-visible {
  outline: 1px solid #0959f4;
}

.form-input-main input::placeholder,
.form-input-main input::placeholder,
.form-input-main select::placeholder,
.form-input-main select::placeholder {
  color: var(--Gray-80, #7b7b7b);
  font-size: 16px;
  font-weight: 400;
  line-height: 100%;
  /* 16px */
}

.form-input-main select {
  margin: 0;
  width: 100%;
}

.form-input-main label {
  display: flex;
  align-items: flex-start;
  flex-direction: column-reverse;
  gap: 10px;
  font-size: 16px;
  line-height: 100%;
  color: #fff;
}

.form-input-main label input[type="checkbox"] {
  width: 25px;
  height: 25px;
  padding: 0;
  margin: 0;
  accent-color: var(--Primary-100);
}

.form-input-main label.checkbox--row {
  flex-direction: row;
}

.form-input-main label.checkbox--row span.checkbox--span {
  width: 100%;
}

button[type="submit"] {
  margin: 28px auto 0;
  /* width: 100%; */
  padding: 15px 35px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--Gray-0, #fff);
  text-align: center;
  font-size: 20px;
  font-weight: 600;
  line-height: 100%;
  letter-spacing: 0.64px;
  text-transform: uppercase;
  border: none;
  border-radius: 20px;
  background: #0063c2;
}

.form-header-text,
.form-footer-text {
  color: #fff;
  font-size: 14px;
  text-align: center;
}

.form-header-text {
  margin-bottom: 20px;
}

.form-footer-text {
  margin-top: 20px;
}

.iti--allow-dropdown input,
.iti--allow-dropdown input[type="tel"],
.iti--allow-dropdown input[type="text"],
.iti--separate-dial-code input,
.iti--separate-dial-code input[type="tel"],
.iti--separate-dial-code input[type="text"] {
  width: 100%;
  /* padding-left: 96px !important; */
}

.iti__selected-dial-code,
.iti__arrow {
  color: #000 !important;
  border-top-color: #000 !important;
}

.iti {
  width: 100% !important;
}

.iti__country {
  color: #000 !important;
}

.form-input option {
  color: #000 !important;
}

/* Hide arrows */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance: textfield;
}

@media screen and (max-width: 768px) {
  button[type="submit"] {
    /* width: 100%; */
  }
}

/* Default Form  */
/* End Form */
.error {
  /* background: rgba(255, 0, 0, 0.5) !important; */
  color: #fff !important;
}

.error::placeholder {
  color: #fff !important;
}

.valid {
  background: rgba(0, 255, 0, 0.5) !important;
}

.modal_phone {
  opacity: 1;
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: 99999;
  display: none;
  outline: 0;
  padding-right: 15px;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.4);
  overflow-x: hidden;
  overflow-y: auto;
  color: #000;
}

.modal_phone.open_phone {
  display: flex;
}

.modal-open_phone {
  overflow: hidden;
}

.modal-dialog_phone {
  position: relative;
  width: 100%;
  max-width: 32rem;
  padding: 1rem;
  box-sizing: border-box;
}

.modal-content_phone {
  display: flex;
  flex-direction: column;
  pointer-events: auto;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 0.3rem;
  outline: 0;
}

.modal-header_phone {
  display: flex;
  align-items: center;
  padding: 1rem 1rem;
}

.modal-header_phone {
  justify-content: space-between;
  border-top-left-radius: 0.3rem;
  border-top-right-radius: 0.3rem;
}

.modal-body_phone {
  position: relative;
  flex: 1 1 auto;
  padding: 1rem;
}

.modal-title_phone {
  font-size: 1.25rem;
  font-weight: 600;
}

.close-button_phone {
  font-size: 1.5rem;
  font-weight: 700;
  line-height: 1;
  opacity: 0.5;
  background-color: transparent;
  border: 0;
  cursor: pointer;
  padding: 1rem 1rem;
  margin: -1rem -1rem -1rem auto;
}

/* Loader */
.loader {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 999999;
  background-color: rgba(37, 44, 51, 0.5);
}

.loader-element {
  display: block;
  position: relative;
  left: 50%;
  top: 50%;
  width: 150px;
  height: 150px;
  margin: -75px 0 0 -75px;
  border-radius: 50%;
  border: 3px solid transparent;
  border-top-color: #00faaa;
  -webkit-animation: 2s linear infinite spin;
  animation: 2s linear infinite spin;
}

.loader-element::before {
  position: absolute;
  content: "";
  top: 5px;
  left: 5px;
  right: 5px;
  bottom: 5px;
  border-radius: 50%;
  border: 3px solid transparent;
  border-top-color: #f70044;
  -webkit-animation: 3s linear infinite spin;
  animation: 3s linear infinite spin;
}

.loader-element::after {
  position: absolute;
  content: "";
  top: 15px;
  left: 15px;
  right: 15px;
  bottom: 15px;
  border-radius: 50%;
  border: 3px solid transparent;
  border-top-color: #00faaa;
  -webkit-animation: 1.5s linear infinite spin;
  animation: 1.5s linear infinite spin;
}

@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0);
    -ms-transform: rotate(0);
    transform: rotate(0);
  }

  100% {
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    -webkit-transform: rotate(0);
    -ms-transform: rotate(0);
    transform: rotate(0);
  }

  100% {
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.wf {
  background-color: var(--reg-form-background-background-color, #fff);
  padding: var(--reg-form-background-padding, 26px);
  box-shadow: 0 0 var(--reg-form-background-shadow-blur, 25px) 0
    var(--reg-form-background-shadow-color, rgba(0, 0, 0, 0.1));
  border-style: solid;
  border-width: var(--reg-form-background-border-width, 0);
  border-color: var(--reg-form-background-border-color, #fff);
  border-radius: var(--reg-form-background-border-radius, 16px);
  font-family: var(--reg-form-general-font-family, "Inter"), sans-serif;
  color: #fff;
}
.wf__title {
  display: flex;
  justify-content: center;
  margin-top: 0;
  margin-bottom: var(--reg-form-title-margin-bottom, 12px);
  font-size: var(--reg-form-title-size, 22px);
  font-weight: var(--reg-form-title-weight, 700);
  line-height: 1.4;
  color: var(--reg-form-title-color, #0d1985);
}
.wf__title-content {
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: var(--reg-form-title-width, 100%);
  display: block;
  text-align: center;
}
.wf__subtitle {
  display: flex;
  justify-content: center;
  margin-top: 0;
  margin-bottom: var(--reg-form-subtitle-margin-bottom, 24px);
  font-size: var(--reg-form-subtitle-size, 18px);
  font-weight: var(--reg-form-subtitle-weight, 500);
  line-height: 1.2;
  color: var(--reg-form-subtitle-color, #000);
}
.wf__subtitle-content {
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: var(--reg-form-subtitle-width, 100%);
  display: block;
  text-align: center;
}
.wf-fields {
  display: flex;
  flex-direction: row;
  row-gap: var(--reg-form-field-row-gap, 4px);
  -moz-column-gap: var(--reg-form-field-column-gap, 16px);
  column-gap: var(--reg-form-field-column-gap, 16px);
  flex-wrap: wrap;
}

.wf-btn {
  width: 100%;
  height: var(--reg-form-button-height, 60px);
  background-color: var(--reg-form-button-color, #0d1985);
  padding: 0 20px;
  box-shadow: 0 0 var(--reg-form-button-shadow-blur, 25px) 0
    var(--reg-form-button-shadow-color, rgba(0, 0, 0, 0.1));
  font-size: var(--reg-form-button-size, 20px);
  font-weight: var(--reg-form-button-weight, 700);
  color: var(--reg-form-button-text-color, #fff);
  border-width: var(--reg-form-button-border-width, 0);
  border-style: solid;
  border-color: var(--reg-form-button-border-color, transparent);
  border-radius: var(--reg-form-button-border-radius, 100px);
  cursor: pointer;
}

.wf-fields__item {
  width: calc(
    100% / var(--reg-form-field-column, 1) -
      (var(--reg-form-field-column, 1) - 1) *
      var(--reg-form-field-column-gap, 16px) / var(--reg-form-field-column, 1)
  );
  flex-grow: 1;
}

.wf-input__control {
  position: relative;
  background-color: var(--reg-form-field-background-color, transparent);
  display: flex;
  align-items: center;
  min-height: var(--reg-form-field-height, 50px);
  /* margin-bottom: 2px; */
  /* padding: 0 15px; */
  /* border-style: solid;
  border-width: var(--reg-form-field-border-width, 1px);
  border-color: var(--reg-form-field-border-color, rgba(0, 0, 0, 0.2));
  border-radius: var(--reg-form-field-border-radius, 4px); */
  /* transition: border 0.15s ease; */
}
.wf-input__control input {
  background: transparent;
  width: 100%;
  border: none;
  outline: none;
  padding: 8px 0;
  font-size: 16px;
  line-height: 1.25;
  color: var(--reg-form-field-color, #000);
}

.confirmation__label {
  font-size: var(--reg-form-checkbox-size, 12px);
  line-height: 1.4;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  font-weight: var(--reg-form-checkbox-weight, 400);
  color: var(--reg-form-checkbox-label-color, #000);
}

.wf__confirmation {
  margin-bottom: 20px;
}

.wf__checkbox-wrapper:last-child {
  padding-bottom: 0;
}

.wf__checkbox-wrapper:first-child {
  padding-top: 0;
}

.wf__checkbox-wrapper {
  padding: 6px 0;
}

.confirmation {
  display: flex;
  align-items: center;
}

.wf__checkbox {
  padding: 0 15px;
}

.confirmation__checkbox {
  flex: none;
  position: relative;
  height: 24px;
  width: 24px;
  display: flex;
  cursor: pointer;
  margin-right: 7px;
}

.confirmation__input {
  position: absolute;
  width: 100%;
  height: 100%;
  margin: 0;
  opacity: 0;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

.confirmation__input-icon {
  flex: none;
  width: 20px;
  height: 20px;
  border: 2px solid #3d3d3d;
  border-radius: 3px;
}
.confirmation__label {
  font-size: var(--reg-form-checkbox-size, 12px);
  line-height: 1.4;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  font-weight: var(--reg-form-checkbox-weight, 400);
  color: var(--reg-form-checkbox-label-color, #000);
}

.confirmation__icon {
  color: var(--reg-form-checkbox-color, #666);
  pointer-events: none;
}

#checkbox-0:checked ~ .confirmation__input-icon {
  background-color: #4f5ff7;
}
